cordova-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steven Gill <>
Subject Re: Anyone can help me about add new platform to cordova?
Date Mon, 20 Feb 2017 18:25:21 GMT
You only need to support Api.js.

Cordova has a bunch of built in checks for our core platforms. We want to
remove them so if you have a compatible platform, it should work.

On Feb 19, 2017 10:19 PM, "李广镇" <> wrote:

> Hi all,
>   I'm trying to add a new platform for cordova.
>   I have analyzed android port as a reference these
> days, and found there are two kinds of platform support architecture.
>   1) Inside cordova-lib repo
>       cordova-lib/cordova-lib/src/cordova/metadata/android_
> parser.js  //For prepare andorid projects
>       cordova-lib/cordova-lib/src/plugman/platforms/android.
> js  // For plugin supports
>   2) Inside cordova-android repo
>       Main entry is Api.js, 'prepare' and 'plugin support'
> functions are moved inside this repo.
>   Found some platforms support only use the first one, such as browser.
>   android and iOS use both of these two ways.
>   My questions:
>   1) If I want to add a new platform support, do I need
> support both of these two ways? or just the second one?
>   2) When I finished the development of new platform
> support locally, Is there any requirements need to be done
> for cordova to accept these patches?  such as, do I need
> support all of the core 21 plugins API?
>   Can anyone give me a suggestion?
> Thanks.
> Guangzhen

  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message